state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN		: PAIN
		HOLD_POSITION		: HAVE_ENEMY NAME "Hold"
		APPROACH			: HAVE_ENEMY
		INVESTIGATE			: NOISE_HEARD !NAME "Hold"
		TWITCH		: ANIM_DONE STATE_TIME "13" CHANCE "0.333"
	}
}

state TWITCH
{
	legs
	{
		twitch_bigwep : default
	}

	behavior idle

	states
	{
		PAIN		: PAIN
		IDLE	: ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert : default
	}

	behavior idle

	states
	{
		PAIN		: PAIN
		IDLE		: ANIM_DONE
	}
}

state INVESTIGATE
{
	behavior Investigate "walk_bigwep" "6"

	states
	{
		PAIN		: PAIN
		APPROACH	: HAVE_ENEMY
		IDLE		: DONE
	}
}

state READY
{
	legs
	{
		ready_bigwep : default
	}

	behavior idle

	states
	{
		PAIN  			: PAIN
		IDLE			: !HAVE_ENEMY
		HOLD_POSITION		: NAME "Hold"
		ATTACK_MELEE		: RANGE "140" CAN_SEE_ENEMY
		ATTACK_RANGED		: ANIM_DONE !RANGE "250" CHANCE "0.666" CAN_SHOOT_ENEMY
		APPROACH		: !ENEMY_IN_FOV
		APPROACH 		: !RANGE "140"
	}
}

state HOLD_POSITION
{
	legs
	{
		ready_bigwep : default
	}

	behavior Watch

	states
	{
		PAIN			: PAIN
		IDLE			: !NAME "Hold" !HAVE_ENEMY
		ATTACK_MELEE		: RANGE "140" CAN_SEE_ENEMY
		ATTACK_RANGED		: ANIM_DONE CHANCE "0.666" !RANGE "250" CAN_SHOOT_ENEMY
	}
}

state APPROACH
{
	legs
	{
		walk_bigwep : default
	}

	behavior GetCloseToEnemy "walk_bigwep"

	states
	{
		PAIN	 		: PAIN
		IDLE			: !HAVE_ENEMY
		HOLD_POSITION		: NAME "Hold"
		ATTACK_RANGED		: ANIM_DONE !RANGE "250" CHANCE "0.666" CAN_SHOOT_ENEMY
		ATTACK_MELEE		: RANGE "140" CAN_SEE_ENEMY
		CHARGE			: ANIM_DONE CHANCE "0.1"
		APPROACH_RESET		: DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk"

	states
	{
      	APPROACH : default    
	}
}

state CHARGE
{
	legs
	{
		run_bigwep : default
	}

	behavior GetCloseToEnemy "run_bigwep"

	states
	{
		PAIN	 		: PAIN
		IDLE			: !HAVE_ENEMY
		HOLD_POSITION		: NAME "Hold"
		ATTACK_MELEE		: RANGE "140" CAN_SEE_ENEMY
		CHARGE_RESET		: DONE
	}
}

state CHARGE_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "run_bigwep"

	states
	{
      	CHARGE : default    
	}
}

state ATTACK_MELEE
{
	legs
	{
		mallet_attack1 : default
	}

	behavior Watch

	states
	{
		ATTACK_MELEE	: RANGE "140" CAN_SEE_ENEMY
		APPROACH	: ANIM_DONE !NAME "Hold"
		HOLD_POSITION 	: ANIM_DONE
	}
}

state ATTACK_RANGED
{
	legs
	{
		rod_fire : default
	}

	behavior Watch

	torso
	{
		rod_fire : default
	}

	states
	{
		ATTACK_RANGED	: ANIM_DONE CHANCE "0.333" CAN_SHOOT_ENEMY !RANGE "250"
		CHARGE		: ANIM_DONE CHANCE "0.2" !NAME "Hold"
		APPROACH	: ANIM_DONE !NAME "Hold"
		HOLD_POSITION	: ANIM_DONE
	}
}

state PAIN
{
	legs
	{
		pain_left  : CHANCE "0.333"
		pain_right  : CHANCE "0.5"
		pain_front : default
	}

	behavior idle

	states
	{
		CHARGE		: ANIM_DONE CHANCE "0.333" !NAME "Hold"
		APPROACH	: ANIM_DONE !NAME "Hold"
		HOLD_POSITION	: ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "ICEWAND" 
		death_gib : MOD "explode"  CHANCE "0.8"
		death_gib : CHANCE "0.2"
		death_knockback : CHANCE "0.4"
		death_hard : CHANCE "0.6"
		death_hideous : default
	}

	states
	{
		SPLODE	: MOD "explode" CHANCE "0.8"
		SPLODE	: CHANCE "0.2"
	}
}

state SPLODE
{
	legs
	{
		death_splode : default	
	}

	entrycommands
	{
		radiusattack 300 50 "explode"
		earthquake 2.5 1 1000 1
	}

	states
	{
	}
}
